<div class="card">
    <div class="card-header"> Register </div>
    <div class="card-body">
        <div *ngIf="!registered">
            <form [formGroup]="registerForm" (ngSubmit)="register(registerForm.value)">
                <div class="form-group">
                    <label for="email">E-mail</label>
                    <input type="email" id="email" formControlName="email" placeholder="Enter an e-mail" [ngClass]="{'form-control': true, 'is-invalid': errors?.email}">
                    <div class="invalid-feedback">
                        {{ errors?.email }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="username">Username</label>
                    <input type="text" id="username" formControlName="username" placeholder="Choose an username" [ngClass]="{'form-control': true, 'is-invalid': errors?.username}">
                    <div class="invalid-feedback">
                        {{ errors?.username }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="password">Password</label>
                    <input type="password" id="password" formControlName="password" placeholder="Enter a password" [ngClass]="{'form-control': true, 'is-invalid': errors?.password}">
                    <div class="invalid-feedback">
                        {{ errors?.password }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="passwordConfirm">Comfirm password</label>
                    <input type="password" id="passwordConfirm" formControlName="passwordConfirm" placeholder="Confirm the password" [ngClass]="{'form-control': true, 'is-invalid': errors?.passwordConfirm}">
                    <div class="invalid-feedback">
                        {{ errors?.passwordConfirm }}
                    </div>
                </div>

                <button type="submit" class="btn btn-primary">Register</button>
            </form>
        </div>

        <div *ngIf="registered">
            <div class="alert alert-success" role="alert">
                Your account has been registered ! <br />
                Now, you can log in...
            </div>
        </div>
    </div>
</div>